> For the complete documentation index, see [llms.txt](https://docs.aquanow.io/pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aquanow.io/pay/data-objects-and-statuses/kyc-v2.md).

# KYC V2

### KycInfoObject

There are two types of kycInfo object depending on the `type`  ("INDIVIDUAL"  or "BUSINESS")

### Individual Data Objects

<table><thead><tr><th width="224.33333333333331">      Parameter</th><th width="168" align="center">Type</th><th>Description</th><th>Required</th></tr></thead><tbody><tr><td><code>type</code></td><td align="center">"INDIVIDUAL"</td><td></td><td>Required</td></tr><tr><td><code>firstName</code></td><td align="center">string</td><td></td><td>Required</td></tr><tr><td><code>lastName</code></td><td align="center">string</td><td></td><td>Required</td></tr><tr><td><code>dateOfBirth</code></td><td align="center">string</td><td>yyyy-mm-dd</td><td>Required</td></tr><tr><td><code>address</code></td><td align="center">object</td><td><a data-mention href="#address-object">#address-object</a></td><td>Required</td></tr><tr><td><code>occupation</code></td><td align="center">string</td><td></td><td>Required</td></tr><tr><td><code>telephone</code></td><td align="center">string</td><td>10 digit number</td><td>Required</td></tr></tbody></table>

## Business Data Object

<table><thead><tr><th width="257.8645833333333">      Parameter</th><th width="168" align="center">Type</th><th>Description</th><th>Required</th></tr></thead><tbody><tr><td><code>type</code></td><td align="center">"BUSINESS"</td><td></td><td>Required</td></tr><tr><td><code>companyLegalName</code></td><td align="center">string</td><td></td><td>Required</td></tr><tr><td><code>address</code></td><td align="center">object</td><td><a data-mention href="#address-object">#address-object</a></td><td>Required</td></tr><tr><td><code>natureOfPrincipalBusiness</code></td><td align="center">string</td><td>Primary industry or nature of the business. Text with symbols (e.g., &#x26;, /).</td><td>Required</td></tr><tr><td><code>registrationNumber</code></td><td align="center">string</td><td>Official registration number. Alphanumeric.</td><td>Required</td></tr><tr><td><code>registrationNumberRegion</code></td><td align="center">string</td><td>Region that issued the registration. Letters only.</td><td>Required</td></tr><tr><td><code>registrationNumberCountry</code></td><td align="center">string</td><td>Full country name where the registration was issued.</td><td>Required </td></tr><tr><td><code>telephone</code></td><td align="center">string</td><td>10 digit number</td><td>Required</td></tr></tbody></table>

## Address Object

<table><thead><tr><th width="257.8645833333333">      Parameter</th><th width="168" align="center">Type</th><th>Description</th><th>Required</th></tr></thead><tbody><tr><td><code>addressLine1</code></td><td align="center">string</td><td>The primary street address line</td><td>Required</td></tr><tr><td><code>addressLine2</code></td><td align="center">string</td><td>Apartment, suite, or unit.</td><td>Optional</td></tr><tr><td><code>city</code></td><td align="center">string</td><td>City name. Letters only; spaces and hyphens allowed.</td><td>Required</td></tr><tr><td><code>region</code></td><td align="center">string</td><td>Province, state, or region. Letters only. </td><td>Required</td></tr><tr><td><code>country</code></td><td align="center">string</td><td>Alpha-2 code <br><a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2">https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2</a></td><td>Required</td></tr><tr><td><code>postalCode</code></td><td align="center">string</td><td>Required for countries that have postal or zip code. Postal or ZIP code. Format must match selected country.</td><td>Optional</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aquanow.io/pay/data-objects-and-statuses/kyc-v2.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
